Subject: Re: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Aug 2024 12:23:09 +0300

> From: Joseph Turner <[email-masked]>
> Cc: Brian Green <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 24 Aug 2024 10:09:10 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Brian Green <[email-masked]>
> >> Date: Sat, 24 Aug 2024 01:29:11 -0700
> >> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
> >> 
> >> I submitted this "bug" report because I mis-interpreted the docstring,
> >> and because I was approaching this command with a preconceived idea
> >> about how it should work.  I think Eli is right.  I can't think of a
> >> good reason why I would need to stipulate a certain behavior before
> >> calling the command which I can already get at any point while the
> >> command is running.
> >
> > The doc string indeed could use some improvements, at least in stating
> > explicitly what happens in interactive usage and what only when called
> > from Lisp.
> 
> See patch.  Is the text wrapping acceptable?  It looks too long in
> paragraphs.el but good in the *Help* buffer.

Is this instead of the code change or in addition to it?

In any case, I think it would be better to say

  Noninteractively, if optional argument NO-QUERY is non-nil, make changes
  without asking for confirmation.  To achieve the same effect
  interactively, press \\<query-replace-map>\\[automatic] at the first...